API ReferencePre EncounterImagesV1
List images
Searches for images that match the query parameters.
Authorization
BearerAuth AuthorizationBearer <token>
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Query Parameters
patient_id?string|null
coverage_id?string|null
file_type?string|null
patient_notes?string|null
sort_field?|
The field to order by. Defaults to updatedAt.
sort_direction?|
The direction to order by. Defaults to desc.
Response Body
application/json
curl -X GET "https://example.com/images/v1"[ { "id": "string", "signed_url": "string", "organization_id": "string", "deactivated": true, "version": 0, "updated_at": "2019-08-24T14:15:22Z", "updating_user_id": "string", "file_name": "string", "display_name": "string", "file_type": "string", "status": "PENDING", "coverage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "side": "FRONT" }, "patient": { "id": "string", "notes": "string" } }]Vote recommendation PUT
Submit user feedback on an eligibility recommendation. The path must contain the next version number to prevent race conditions. For example, if the current version of the recommendation is n, you will need to send a request to this endpoint with `/{recommendation_id}/{n+1}/vote` to update the vote.
Create image POST
Adds an image. VersionConflictError is returned if a front or back of this coverage already exists.